Bug Hunting Session
Bug 105607 - [GTK+ 3] Entry, ComboboxEntry, SpinEntry do not respect left and right padding
Summary: [GTK+ 3] Entry, ComboboxEntry, SpinEntry do not respect left and right padding
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gtk3-themeing
  Show dependency treegraph
 
Reported: 2017-01-30 08:08 UTC by Trinh Anh Ngoc
Modified: 2018-09-09 02:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sidebar (33.42 KB, image/png)
2017-01-30 08:09 UTC, Trinh Anh Ngoc
Details
Option dialog (69.52 KB, image/png)
2017-01-30 08:10 UTC, Trinh Anh Ngoc
Details
Screenshot from master (3.53 KB, image/png)
2017-01-30 12:04 UTC, Heiko Tietze
Details
gtk3-widget-factory with entry padding 24px (853.92 KB, image/png)
2017-01-31 02:33 UTC, Trinh Anh Ngoc
Details
libreoffice with entry padding 24px (68.67 KB, image/png)
2017-01-31 02:34 UTC, Trinh Anh Ngoc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trinh Anh Ngoc 2017-01-30 08:08:27 UTC
These widgets lack left and right padding and thus contents touch left and right widget border.
Comment 1 Trinh Anh Ngoc 2017-01-30 08:09:56 UTC
Created attachment 130758 [details]
Sidebar
Comment 2 Trinh Anh Ngoc 2017-01-30 08:10:27 UTC
Created attachment 130759 [details]
Option dialog
Comment 3 Trinh Anh Ngoc 2017-01-30 08:12:03 UTC
In the attached screenshots, green box is widget has good padding, red box is widget has no padding
Comment 4 Heiko Tietze 2017-01-30 12:04:54 UTC
Created attachment 130765 [details]
Screenshot from master

Those properties belong to your system theme, you can only define margins to other controls. And actually it looks acceptable on Windows. NAB.
Comment 5 Trinh Anh Ngoc 2017-01-31 02:28:00 UTC
I believe this is a bug in VCL GTK+ 3.
Comment 6 Trinh Anh Ngoc 2017-01-31 02:33:01 UTC
Created attachment 130780 [details]
gtk3-widget-factory with entry padding 24px
Comment 7 Trinh Anh Ngoc 2017-01-31 02:34:01 UTC
Created attachment 130781 [details]
libreoffice with entry padding 24px
Comment 8 Trinh Anh Ngoc 2017-01-31 02:41:06 UTC
Tested on ArchLinux, Gtk+ 3.22. Entry padding is adjusted in $HOME/.config/gtk-3.0/gtk.css.
Comment 9 Adolfo Jayme 2017-01-31 04:38:50 UTC
→ NEW
Comment 10 QA Administrators 2018-09-09 02:39:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug